@use "../../styles/helpers";

.chat {
  margin-top: 53px;

  &__inner {
    background: #ffffff;
    border: 1px solid #f0f0f0;
    box-sizing: border-box;
    box-shadow: 0 7px 15px rgba(0, 0, 0, 0.07);
    border-radius: 20px;
    min-height: 500px;
    margin-top: 35px;
  }

  &__userList,
  &__content {
    flex: 1;
  }

  &__title {
    position: relative;
    font-weight: normal;
    font-size: 50px;
    line-height: 61px;
    color: #000000;
    font-family: 'Montserrat_alternates', 'Arial', 'Helvetica', sans-serif;

    img {
      position: absolute;
      right: 0;
      top: -69px;
    }
  }

  &__userList {
    padding: 2px 0 12px 3px;
    max-height: 100%;
    height: 500px;
    max-width: 269px;
    width: 100%;
  }

  &__user {
    width: 258px;
    padding: 12px 12px 8px;
    position: relative;

    &:not(:last-child) {
      border-bottom: 1px solid #f0f0f0;
    }

    p {
      font-weight: normal;
      font-size: 14px;
      line-height: 20px;
      color: #000000;
      margin-left: 14px;
    }

    span {
      position: absolute;
      top: 21px;
      right: 7px;
      font-weight: normal;
      font-size: 12px;
      line-height: 20px;
      color: #777777;
      margin-left: 10px;
    }

    img {
      width: 62px;
      height: 62px;
      border-radius: 50%;
    }
  }

  &__message {
    display: flex;
    flex-direction: column;
  }

  &__messageList {
    padding: 0 26px 0 20px;
    margin: 14px 7px 30px 0;
    height: 389px;

    &::-webkit-scrollbar-track {
      border-radius: 5px;
    }
  }

  &__messageHeader {
    order: 1;

    img {
      width: 42px;
      height: 42px;
      border-radius: 50%;
    }

    span {
      font-weight: 500;
      font-size: 12px;
      line-height: 20px;
      color: #000000;
      margin-left: 11px;
    }
  }

  &__messageContent {
    order: 2;
    background: #f0f0f0;
    border-radius: 10px;
    padding: 16px 22px;
    margin-top: 9px;

    p {
      font-weight: normal;
      font-size: 12px;
      line-height: 20px;
      color: #000000;
    }
  }

  &__messageFooter {
    margin-top: 6px;
    order: 3;

    p {
      font-weight: normal;
      font-size: 12px;
      line-height: 20px;
      color: #777777;
    }
  }

  &__form {
    background: #f0f0f0;
    padding: 2px 12px;
    margin: 0 23px 21px 21px;
    border-radius: 10px;
    max-width: 544px;

    &__inner {
      position: relative;
      background: #f0f0f0;
      padding: 7px 0 8px 9px;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      align-items: center;
      justify-content: space-between;

      textarea {
        font-weight: normal;
        font-size: 12px;
        line-height: 20px;
        flex-basis: 0;
        flex-grow: 1;
        max-width: 100%;
        margin-right: 0.5rem;
        width: 100%;
        resize: none;
        border: none;
        background: transparent;
        color: #2e2e2e;
        max-height: 100px;
        overflow-y: scroll;
        transition: height 0.3s;

        &::-webkit-input-placeholder,
        &:-moz-placeholder,
        &::-moz-placeholder,
        &:-ms-input-placeholder,
        &::placeholder {
          font-weight: normal;
          font-size: 12px;
          line-height: 20px;
          color: #777777;
        }

        &::-webkit-scrollbar {
          width: 0;
        }
      }

      button {
        width: auto;
        background: #119ad0;
        border-radius: 250px;
        padding: 6px 24px;
        outline: none !important;
        font-style: normal;
        font-weight: 500;
        font-size: 12px;
        line-height: 15px;
        color: #ffffff;
        border: none;

        img {
          display: none;
        }
      }
    }
  }
}

@media screen and (max-width: 1100px) {
  .chat {
    &__userList {
      flex-grow: 1;
    }

    &__content {
      flex-grow: 2;
    }
  }
}

@media screen and (max-width: 850px) and (min-width: helpers.$widthTablet) {
  .chat {
    &__user {
      width: 100%;

      div,
      span {
        display: none;
      }
    }

    &__userList {
      max-width: 82px;
    }
  }
}

@media only screen and (max-width: helpers.$widthTablet) {
  .chat {
    margin-top: 28px;

    &__inner {
      margin-top: 24px;
    }

    &__content {
      flex-grow: 1;
    }

    &__title {
      font-size: 28px;
      line-height: 32px;

      img {
        display: none;
      }
    }
  }
}

@media only screen and (max-width: 700px) and (min-width: 565px) {
  .chat {
    &__content {
      flex-grow: 2;
    }
  }
}

@media only screen and (max-width: 565px) {
  .chat {
    &__user {
      width: 100%;

      &:not(:last-child) {
        border-bottom: none;
      }

      div,
      span {
        display: none;
      }
    }

    &__userList {
      max-width: 82px;
    }

    &__messageList,
    &__userList {
      &::-webkit-scrollbar {
        width: 0;
      }
    }

    &__messageList {
      margin: 14px 0 30px 0;
    }

    &__messageHeader {
      display: none;
      order: 3;
    }

    &__messageContent {
      order: 2;
    }

    &__messageFooter {
      order: 1;
    }

    &__form {
      &__inner {
        button {
          background: transparent;
          border-radius: 0;
          padding: 0;

          span {
            display: none;
          }

          img {
            display: block;
          }
        }
      }
    }

    &__messageContent {
      position: relative;
    }

    &__messageIn {
      &::before {
        content: '';
        position: absolute;
        left: -6px;
        top: calc(50% - 12px);
        -webkit-transform: rotateZ(45deg);
        transform: rotateZ(45deg);
        width: 24px;
        height: 24px;
        background-color: #f0f0f0;
      }
    }

    &__messageOut {
      background-color: #e0f1f8;
      &::after {
        content: '';
        position: absolute;
        right: -6px;
        top: calc(50% - 12px);
        -webkit-transform: rotateZ(45deg);
        transform: rotateZ(45deg);
        width: 24px;
        height: 24px;
        background-color: #e0f1f8;
      }
    }
  }
}

@media only screen and (max-width: 440px) {
  .chat {
    &__userList {
      padding: 0;
      margin: 14px 7px 22px 16px;
      max-width: 40px;
    }

    &__user {
      padding: 0;

      &:not(:first-child) {
        margin-top: 14px;
      }

      img {
        width: 40px;
        height: 40px;
      }
    }

    &__inner {
      min-height: 462px;
    }

    &__messageList {
      padding: 0 23px 0 12px;
    }
  }
}

@media only screen and (max-width: 375px) {
  .chat {
    &__user {
      img {
        width: 30px;
        height: 30px;
      }
    }
  }
}
